CREATE TABLE hrc_communication_accounts (
    ACCOUNT_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CLIENT_CONFIGURATION     CLOB          ,
    FOLDERS                  VARCHAR2(2000),
    SOURCE                   VARCHAR2(800) ,
    CALLBACK_CLASS           VARCHAR2(800) ,
    ACCOUNT_IDENTIFIER       VARCHAR2(800) ,
    IS_PROCESS_SPECIFIC      VARCHAR2(4)   ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    PROVIDER                 VARCHAR2(80)  ,
    ADDRESS                  VARCHAR2(800) ,
    IS_ACTIVE                VARCHAR2(4)   ,
    SCHEDULED_JOB_ID         VARCHAR2(72)  ,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(600) ,
    ATTRIBUTE2               VARCHAR2(600) ,
    ATTRIBUTE3               VARCHAR2(600) ,
    ATTRIBUTE4               VARCHAR2(600) ,
    ATTRIBUTE5               VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1        NUMBER        ,
    ATTRIBUTE_NUMBER2        NUMBER        ,
    ATTRIBUTE_NUMBER3        NUMBER        ,
    ATTRIBUTE_NUMBER4        NUMBER        ,
    ATTRIBUTE_NUMBER5        NUMBER        ,
    ATTRIBUTE_DATE1          DATE          ,
    ATTRIBUTE_DATE2          DATE          ,
    ATTRIBUTE_DATE3          DATE          ,
    ATTRIBUTE_DATE4          DATE          ,
    ATTRIBUTE_DATE5          DATE          ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ACCOUNT_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CLIENT_CONFIGURATION     CLOB          ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    PROVIDER                 VARCHAR2(80)  ,
    ADDRESS                  VARCHAR2(800) ,
    IS_ACTIVE                VARCHAR2(4)   ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    FOLDERS                  VARCHAR2(2000),
    SOURCE                   VARCHAR2(800) ,
    CALLBACK_CLASS           VARCHAR2(800) ,
    ACCOUNT_IDENTIFIER       VARCHAR2(800) ,
    IS_PROCESS_SPECIFIC      VARCHAR2(4)   ,
    SCHEDULED_JOB_ID         VARCHAR2(72)  ,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(600) ,
    ATTRIBUTE2               VARCHAR2(600) ,
    ATTRIBUTE3               VARCHAR2(600) ,
    ATTRIBUTE4               VARCHAR2(600) ,
    ATTRIBUTE5               VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1        NUMBER        ,
    ATTRIBUTE_NUMBER2        NUMBER        ,
    ATTRIBUTE_NUMBER3        NUMBER        ,
    ATTRIBUTE_NUMBER4        NUMBER        ,
    ATTRIBUTE_NUMBER5        NUMBER        ,
    ATTRIBUTE_DATE1          DATE          ,
    ATTRIBUTE_DATE2          DATE          ,
    ATTRIBUTE_DATE3          DATE          ,
    ATTRIBUTE_DATE4          DATE          ,
    ATTRIBUTE_DATE5          DATE          ,
    CONSTRAINT pk_hrc_communication_accounts PRIMARY KEY (ACCOUNT_ID, ACCOUNT_ID)
);
